#import('package:dartnet_event_model/events.dart');


// This is a very basic demo of how the event system works.

void main() {

  final ed = new EventDemo();

  // using explicit .register method
  ed.somethingHappened.register((sender, args) {
    print('First Handler: $sender sent "${args.message}"');
  });

  // using overloaded + operator to register
  final ref = ed.somethingHappened + (sender, args){
    print('Second Handler: $sender sent "${args.message}"');
  };

  ed.makeSomethingHappen("hello world");
 
}


class EventDemo
{
  final FrameworkEvent somethingHappened;

  EventDemo()
  :
    somethingHappened = new FrameworkEvent();

  void makeSomethingHappen(String message){
    somethingHappened.invokeAsync(this, new SomethingHappenedEventArgs(message));
  }
}

class SomethingHappenedEventArgs extends EventArgs{
  final String message;

  SomethingHappenedEventArgs(this.message);
}