// Copyright (c) 2012, John Evans
// https://github.com/prujohn/DartNet-Event-Model
// See LICENSE file for Apache 2.0 licensing information.

// TODO: This will go away once closures are hashable.

/**
* A wrapper class for EventHandler functions so that they can be located in
* collections (necessary because anonymous functions aren't Hashable). 
*/
class EventHandlerReference implements Hashable
{
  /// Represents the handler that is being wrapped.
  final EventHandler handler;
  static int _hashNum = 0;
  final int _assignedHash;
    
  EventHandlerReference(EventHandler this.handler)
    : _assignedHash = EventHandlerReference._hashNum++;
   
  int hashCode() => _assignedHash;
}
